opencv: cv::PlanarObjectDetector Class Reference

Public Member Functions | Protected Attributes

# cv::PlanarObjectDetector Class Reference

`#include <features2d.hpp>`

List of all members.

## Public Member Functions
const FernClassifier & | getClassifier () const
const LDetector & | getDetector () const
vector< KeyPoint > | getModelPoints () const
Rect | getModelROI () const
bool | operator() (const Mat &image, CV_OUT Mat &H, CV_OUT vector< Point2f > &corners) const
bool | operator() (const vector< Mat > &pyr, const vector< KeyPoint > &keypoints, CV_OUT Mat &H, CV_OUT vector< Point2f > &corners, CV_OUT vector< int > *pairs=0) const
| PlanarObjectDetector (const vector< Mat > &pyr, int _npoints=300, int _patchSize=FernClassifier::PATCH_SIZE, int _nstructs=FernClassifier::DEFAULT_STRUCTS, int _structSize=FernClassifier::DEFAULT_STRUCT_SIZE, int _nviews=FernClassifier::DEFAULT_VIEWS, const LDetector &detector=LDetector(), const PatchGenerator &patchGenerator=PatchGenerator())
| PlanarObjectDetector (const FileNode &node)
| PlanarObjectDetector ()
void | read (const FileNode &node)
void | setVerbose (bool verbose)
virtual void | train (const vector< Mat > &pyr, int _npoints=300, int _patchSize=FernClassifier::PATCH_SIZE, int _nstructs=FernClassifier::DEFAULT_STRUCTS, int _structSize=FernClassifier::DEFAULT_STRUCT_SIZE, int _nviews=FernClassifier::DEFAULT_VIEWS, const LDetector &detector=LDetector(), const PatchGenerator &patchGenerator=PatchGenerator())
virtual void | train (const vector< Mat > &pyr, const vector< KeyPoint > &keypoints, int _patchSize=FernClassifier::PATCH_SIZE, int _nstructs=FernClassifier::DEFAULT_STRUCTS, int _structSize=FernClassifier::DEFAULT_STRUCT_SIZE, int _nviews=FernClassifier::DEFAULT_VIEWS, const LDetector &detector=LDetector(), const PatchGenerator &patchGenerator=PatchGenerator())
void | write (FileStorage &fs, const String &name=String()) const
virtual | ~PlanarObjectDetector ()
## Protected Attributes
FernClassifier | fernClassifier
LDetector | ldetector
vector< KeyPoint > | modelPoints
Rect | modelROI
bool | verbose

## Constructor & Destructor Documentation

cv::PlanarObjectDetector::PlanarObjectDetector | ( | ) |

cv::PlanarObjectDetector::PlanarObjectDetector | ( | const FileNode & | node ) |

cv::PlanarObjectDetector::PlanarObjectDetector | ( | const vector< Mat > & | pyr,
|  | int | _npoints = `300`,
|  | int | _patchSize = `FernClassifier::PATCH_SIZE`,
|  | int | _nstructs = `FernClassifier::DEFAULT_STRUCTS`,
|  | int | _structSize = `FernClassifier::DEFAULT_STRUCT_SIZE`,
|  | int | _nviews = `FernClassifier::DEFAULT_VIEWS`,
|  | const LDetector & | detector = `LDetector()`,
|  | const PatchGenerator & | patchGenerator = `PatchGenerator()`
| ) |  |

virtual cv::PlanarObjectDetector::~PlanarObjectDetector | ( | ) | `[virtual]`

## Member Function Documentation

const FernClassifier& cv::PlanarObjectDetector::getClassifier | ( | ) | const

const LDetector& cv::PlanarObjectDetector::getDetector | ( | ) | const

vector<KeyPoint> cv::PlanarObjectDetector::getModelPoints | ( | ) | const

Rect cv::PlanarObjectDetector::getModelROI | ( | ) | const

bool cv::PlanarObjectDetector::operator() | ( | const Mat & | image,
|  | CV_OUT Mat & | H,
|  | CV_OUT vector< Point2f > & | corners
| ) |  | const

bool cv::PlanarObjectDetector::operator() | ( | const vector< Mat > & | pyr,
|  | const vector< KeyPoint > & | keypoints,
|  | CV_OUT Mat & | H,
|  | CV_OUT vector< Point2f > & | corners,
|  | CV_OUT vector< int > * | pairs = `0`
| ) |  | const

void cv::PlanarObjectDetector::read | ( | const FileNode & | node ) |

void cv::PlanarObjectDetector::setVerbose | ( | bool | verbose ) |

virtual void cv::PlanarObjectDetector::train | ( | const vector< Mat > & | pyr,
|  | const vector< KeyPoint > & | keypoints,
|  | int | _patchSize = `FernClassifier::PATCH_SIZE`,
|  | int | _nstructs = `FernClassifier::DEFAULT_STRUCTS`,
|  | int | _structSize = `FernClassifier::DEFAULT_STRUCT_SIZE`,
|  | int | _nviews = `FernClassifier::DEFAULT_VIEWS`,
|  | const LDetector & | detector = `LDetector()`,
|  | const PatchGenerator & | patchGenerator = `PatchGenerator()`
| ) |  | `[virtual]`

virtual void cv::PlanarObjectDetector::train | ( | const vector< Mat > & | pyr,
|  | int | _npoints = `300`,
|  | int | _patchSize = `FernClassifier::PATCH_SIZE`,
|  | int | _nstructs = `FernClassifier::DEFAULT_STRUCTS`,
|  | int | _structSize = `FernClassifier::DEFAULT_STRUCT_SIZE`,
|  | int | _nviews = `FernClassifier::DEFAULT_VIEWS`,
|  | const LDetector & | detector = `LDetector()`,
|  | const PatchGenerator & | patchGenerator = `PatchGenerator()`
| ) |  | `[virtual]`

void cv::PlanarObjectDetector::write | ( | FileStorage & | fs,
|  | const String & | name = `String()`
| ) |  | const

## Member Data Documentation

FernClassifier cv::PlanarObjectDetector::fernClassifier`[protected]`

LDetector cv::PlanarObjectDetector::ldetector`[protected]`

vector<KeyPoint> cv::PlanarObjectDetector::modelPoints`[protected]`

Rect cv::PlanarObjectDetector::modelROI`[protected]`

bool cv::PlanarObjectDetector::verbose`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines